import React, { useContext, useEffect } from 'react';
import { Headline, CommonMenuList } from '../component/mod';
import {GalleryInfo} from '../component/mod';
import {useLocation} from 'react-router-dom';
import { QueryStringToMap } from '../accessor/util';


export const Gallery = ()=>{
    const location = useLocation();
    const query = QueryStringToMap(location.search);
    const menu_list = CommonMenuList({url:location.search});
    
    return (<Headline menu={menu_list}>
        <GalleryInfo option={query}></GalleryInfo>
    </Headline>)
}