import { CommonMenuList, Headline } from "../component/mod";
import React, { useContext } from 'react';
import { UserContext } from "../state";
import { Grid, Paper, Typography } from "@material-ui/core";

export function ProfilePage(){
    const userctx = useContext(UserContext);
    const menu = CommonMenuList();
    return (<Headline menu={menu}>
        <Paper style={{alignSelf : 'center'}}>
            <Grid container>
                <Grid item>
                    <Typography>{userctx.username}</Typography>
                </Grid>
            </Grid>
        </Paper>
    </Headline>)
}