export function check_type<T>(obj: any,check_proto:Record<string,string|undefined>):obj is T{
    for (const it in check_proto) {
        let defined = check_proto[it];
        if(defined === undefined) return false;
        defined = defined.trim();
        if(defined.endsWith("[]")){
            if(!(obj[it] instanceof Array)){
                return false;
            }
        }
        else if(defined !== typeof obj[it]){
            return false;
        }
    }
    return true;
};