export interface Tag{
    readonly name: string,
    description?: string
}

export interface TagAccessor{
    getTagAllList: (onlyname?:boolean)=> Promise<Tag[]>
    getTagByName: (name:string)=>Promise<Tag|undefined>,
    addTag: (tag:Tag)=>Promise<boolean>,
    delTag: (name:string) => Promise<boolean>,
    updateTag: (name:string,tag:string) => Promise<boolean>
}
